Subject: [AVT] UDP-lite and RTCP field semantics ...

From: John Lazzaro <[email-masked]>
Date: Thu, 4 Sep 2003 13:18:42 -0700

Hi everyone,

        Has anyone begun to think through the impact of UDP-lite:

http://www.ietf.org/internet-drafts/draft-ietf-tsvwg-udp-lite-02.txt

on the semantics of RTCP fields which concern "lost" packets?  Each
RTCP field has its own issues, but I guess the overriding question
becomes "is a partially-corrupted packet counted as lost or received?".

	This is of particular interest to me because of RTP MIDI's
use of the "extended highest sequence number received" field.  If
a partially-corrupted packet is considered a lost packet (either
by default, or via the configuration of an SDP parameter), then
RTP MIDI sessions could be set up with UDP lite so that the UDP
checksum covers the RTP header and the MIDI Command Section of
the packet, but not the recovery journal, while still being able
to use the RTCP "extended highest sequence number received" field
to control the depth of the checkpoint history in a reliable way.

	However, if the mandatory RTCP semantics were to be that
a partially-corrupted packet is considered to be received, then
UDP-lite would be unusable with RTP MIDI ... 

-------------------------------------------------------------------------
John Lazzaro -- Research Specialist -- CS Division -- EECS -- UC Berkeley
lazzaro [at] cs [dot] berkeley [dot] edu     www.cs.berkeley.edu/~lazzaro
-------------------------------------------------------------------------

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: Mark Baugher <[email-masked]>
Date: Thu, 04 Sep 2003 15:28:56 -0700

yes, we thought about the security ramifications in previous versions of 
the RTP specification, but probably not the same way that you're thinking 
of them.  You won't find these in the version that is waiting in the RFC 
Editors' queue because the IESG wanted them out - unless we wanted SRTP to 
share fate with udp-lite.  We didn't.

Mark